Package pyplusplus :: Package decl_wrappers :: Module doc_extractor :: Class doc_extractor_i

# type doc_extractor_i

source code

    object --+
             |
            doc_extractor_i

defines documentation extractor interface

Instance Methods

__init__(self, encoding=`'``ascii``'`) | source code

extract(self, decl) returns documentation text for the declaration | source code

__call__(self, decl) | source code

Static Methods

escape_doc(doc) converts a text to be valid C++ string literals | source code

Method Details

### __init__(self, encoding=`'``ascii``'`)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### extract(self, decl)

source code

returns documentation text for the declaration

This function should be implemented in derived class.

Using decl.location.file_name and decl.location.line variables you can find out the location of declaration within source file